Bug 735518 - Review Request: htmlunit-core-js - a Rhino fork for HtmlUnit
Summary: Review Request: htmlunit-core-js - a Rhino fork for HtmlUnit
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: hannes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 21:25 UTC by Andy Grimm
Modified: 2016-11-08 03:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-10 17:09:51 UTC
johannes.lips: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Andy Grimm 2011-09-02 21:25:02 UTC
Name:           htmlunit-core-js
Version:        2.9
Summary:        Rhino fork for htmlunit
License:        MPL 1.1

SPEC:
https://downloads.eucalyptus.com/software/devel/fedora-16/SPECS/htmlunit-core-js.spec

SRPM:
https://downloads.eucalyptus.com/software/devel/fedora-16/SRPMS/htmlunit-core-js-2.9-1.fc16.src.rpm

Comment 1 hannes 2011-09-07 16:56:46 UTC
Some quick comments on that package, which should be fixed before I start the formal review.

- the javadoc subpackage should require the package
Requires:       %{name} = %{version}-%{release}

- remove bundled jar files with something like:
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.zip' -exec rm -f '{}' \;

- fix the license tag (already talked about it in IRC)

I don't think that besides those things there isn't much left.

Comment 2 Andy Grimm 2011-09-07 19:21:13 UTC
Fixed.  I used slightly different find syntax to make it a single command.

Comment 3 hannes 2011-09-08 06:13:29 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
rpmlint htmlunit-core-js-*
htmlunit-core-js.noarch: W: conffile-without-noreplace-flag /etc/maven/fragments/htmlunit-core-js
htmlunit-core-js-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
-- Please adjust the line in the spec file according to %config %{_mavendepmapfragdir}/%{name}
-- https://bugzilla.redhat.com/show_bug.cgi?id=648945 also has some information on handling those config files and I oriented on this review

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[-]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :
MD5SUM upstream package:
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3334475
Build works!
=== Issues ===
1. add %{config} to the config file in the files section
2. Perhaps add some additional notes to the description to make it more informative? (Optional) 
=== Final Notes ===
1. Please always add a new release for all changes you made. So that one
 could better track the changes you applied during the review process. This implies always link to a new SRPM- and SPEC-URL after you've made changes to the package.


================
*** APPROVED ***
================

================

[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames

Comment 4 hannes 2011-09-08 07:20:32 UTC
Well one further comment: Forget about adding %{config}, because this will be installed in /usr/share/maven-fragments/htmlunit-core-js for all fedora versions >= 16. So this is not needed anymore. I just checked the files after building it locally.
rpmlint on the rawhide build:
rpmlint downloads/htmlunit-core-js-2.9-1.fc17.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

So everything is just fine!

Comment 5 hannes 2011-09-13 10:34:40 UTC
Is there anything missing or any particular reason why you don't file a SCM request? Did I miss or forget something?

Comment 6 Andy Grimm 2011-09-13 14:33:53 UTC
New Package SCM Request
=======================
Package Name: htmlunit-core-js
Short Description: Rhino fork for htmlunit
Owners: arg
Branches: f15 f16 el6
InitialCC:

Comment 7 Gwyn Ciesla 2011-09-13 14:53:58 UTC
Summary and SCM request names do not match, please correct.

Comment 8 Andy Grimm 2011-09-13 15:57:55 UTC
fixed issue summary to remove the extra hyphen.

Comment 9 Gwyn Ciesla 2011-09-13 16:05:19 UTC
Git done (by process-git-requests).

Excellent, thanks!


Note You need to log in before you can comment on or make changes to this bug.